CVE-2005-0115

Current Description

Stack-based buffer overflow in DataRescue Interactive Disassembler (IDA) Pro 4.7 allows attackers to execute arbitrary code via a PE file with an Import Address Table containing a long import library name.

Basic Data

PublishedJanuary 24, 2005
Last ModifiedJuly 11, 2017
Assignercve@mitre.org
Data TypeCVE
Data FormatMITRE
Data Version4.0
Problem TypeNVD-CWE-Other
CVE Data Version4.0

Base Metric V2

CVSS 2 - Version2.0
CVSS 2 - Vector StringAV:N/AC:L/Au:N/C:P/I:P/A:P
CVSS 2 - Access VectorNETWORK
CVSS 2 - Access ComplexityLOW
CVSS 2 - AuthenticationNONE
CVSS 2 - Confidentiality ImpactPARTIAL
CVSS 2 - Availability ImpactPARTIAL
CVSS 2 - Base Score7.5
SeverityHIGH
Exploitability Score10.0
Impact Score6.4
Obtain All Privilegefalse
Obtain User Privilegetrue
Obtain Other Privilegefalse

Base Metric V3

No data provided.

Configurations

  • OR - Configuration 1
    Cpe VersionPartVendorProductVersionUpdateEditionLanguageSW EditionTarget SWTarget HWOtherVersion Start IncludingVersion End IncludingVersion Start ExcludingVersion End Excluding
    2.3ApplicationDatarescueIda4.7*******

Vulnerable Software List

VendorProductVersions
Datarescue Ida 4.7

References

NameSourceURLTags
13980http://secunia.com/advisories/13980SECUNIA
1012975http://securitytracker.com/id?1012975SECTRACK
http://www.datarescue.com/ubb/ultimatebb.php?/topic/2/146.htmlhttp://www.datarescue.com/ubb/ultimatebb.php?/topic/2/146.htmlCONFIRMPatch Vendor Advisory
20050124 DataRescue Interactive Disassembler Pro Buffer Overflow Vulnerabilityhttp://www.idefense.com/application/poi/display?id=189&type=vulnerabilitiesIDEFENSEVendor Advisory
12353http://www.securityfocus.com/bid/12353BID
database-ida-portable-executable-bo(19042)https://exchange.xforce.ibmcloud.com/vulnerabilities/19042XF